Bug 758213 - udev renames network interface on VMware Fusion (eth0 to p3p1) but it shouldn't
udev renames network interface on VMware Fusion (eth0 to p3p1) but it shouldn't
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 09:55 EST by Marek Goldmann
Modified: 2013-02-13 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VMware Fusion dmesg screenshot (70.71 KB, image/png)
2011-11-29 09:55 EST, Marek Goldmann
no flags Details

  None (edit)
Description Marek Goldmann 2011-11-29 09:55:56 EST
Created attachment 538031 [details]
VMware Fusion dmesg screenshot

Description of problem:

According to this: http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, "User experience" section:

"Linux guests running under virtualization platforms such as KVM, Xen, VMware Workstation or ESX, or Microsoft Hyper-V will not have their devices renamed."

Unfortunately I can see that on VMware Fusion the network interface is being renamed, attached screenshot.

I'm booting a minimal Fedora 16 OS with @core package group installed.

Version-Release number of selected component (if applicable):

udev-173-3.fc16.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Boot any appliance built with appliance-creator or BoxGrinder in VMware Fusion.
2. Run ifconfig.
  
Actual results:

Network interface is renamed.

Expected results:

Network interface name should stay eth0.

Additional info:

Booting the same appliance on QEMU preserves the network interface name. Currently I'm working arround this by setting "biosdevname=0" to the kernel.
Comment 1 Marek Goldmann 2011-11-29 10:00:45 EST
BTW, I've seen the exact same issue on Fedora 15.
Comment 2 Nick Barron 2012-03-01 04:23:24 EST
For info, same issue on FC16 minimal install running on VMWare ESXi 4.1
Comment 3 Fedora End Of Life 2013-01-16 15:35:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 19:00:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.